/*  VT1500 Device Driver for Linux, Version 1.0.10
 *  Copyright (C) 1995-2001  M. Gutschke
 *
 *  At the time of writing my e-mail address is:
 *	Internet: markus@gutschke.com
 *  My snail mail address is:
 *	Markus Gutschke
 *	3637 Fillmore Street #106
 *	San Francisco, CA 94123-1600
 *	USA
 *  If you like this software, I would appreciate if you sent me a postcard
 *  from your hometown. Under the terms of the GNU general public license
 *  you are free to include this program into (commercial) software
 *  distributions (e.g. putting it onto CD-ROM); nonetheless, I would really
 *  appreciate if you dropped me a short note (sending me a sample copy of
 *  your distribution would be even more appreciated!)
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef __CMDS_H__
#define __CMDS_H__

#include "servlex.h"

void delParms(ParmRec *parmList);

void servAuthor(ParmRec *author);
void servWarranty(ParmRec *parmList);
void servConditions(ParmRec *parmList);
void servHelp(ParmRec *parmList);
void servQuit(ParmRec *parmList);
void servKill(ParmRec *parmList);
void servWarp(ParmRec *parmList);
void servSndCmd(ParmRec *parmList);
void servSetRadio(ParmRec *parmList);
void servSetFrq(ParmRec *parmList);
void servSetChannel(ParmRec *parmList);
void servSetVolume(ParmRec *parmList);
void servSetBass(ParmRec *parmList);
void servSetTreble(ParmRec *parmList);
void servSetMute(ParmRec *parmList);
void servTmpMute(ParmRec *parmList);
void servRefreshMute(ParmRec *parmList);
void servSetVGA(ParmRec *parmList);
void servSetTV(ParmRec *parmList);
void servSetVCR(ParmRec *parmList);
void servSetPAL(ParmRec *parmList);
void servSetNTSC(ParmRec *parmList);
void servSetHue(ParmRec *parmList);
void servSetBrightness(ParmRec *parmList);
void servSetSaturation(ParmRec *parmList);
void servSetContrast(ParmRec *parmList);
void servSetRed(ParmRec *parmList);
void servSetGreen(ParmRec *parmList);
void servSetBlue(ParmRec *parmList);
void servChannelName(ParmRec *parmList);
void servIsVisible(ParmRec *parmList);
void servIsRadio(ParmRec *parmList);
void servGetTVVCR(ParmRec *parmList);
void servGetPALNTSC(ParmRec *parmList);
void servGetChannel(ParmRec *parmList);
void servGetFrq(ParmRec *parmList);
void servGetMute(ParmRec *parmList);
void servGetExternalMute(ParmRec *parmList);
void servGetBass(ParmRec *parmList);
void servGetTreble(ParmRec *parmList);
void servGetVolume(ParmRec *parmList);
void servGetInternalVolume(ParmRec *parmList);
void servGetExternalVolume(ParmRec *parmList);
void servGetBrightness(ParmRec *parmList);
void servGetSaturation(ParmRec *parmList);
void servGetContrast(ParmRec *parmList);
void servGetHue(ParmRec *parmList);
void servGetRed(ParmRec *parmList);
void servGetGreen(ParmRec *parmList);
void servGetBlue(ParmRec *parmList);
void servChannelInfo(ParmRec *parmList);
void servSetChannelInfo(ParmRec *parmList);
void servClearScreen(ParmRec *parmList);
void servShowHelp(ParmRec *parmList);
void servShowTVVCR(ParmRec *parmList);
void servShowMute(ParmRec *parmList);
void servShowBass(ParmRec *parmList);
void servShowTreble(ParmRec *parmList);
void servShowVolume(ParmRec *parmList);
void servShowColor(ParmRec *parmList);
void servShowChannel(ParmRec *parmList);

#endif
